List traces of a debug session
GET /api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces
GET /api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/tracesInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthdebug_session_id*string
Debug session ID.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Response Body
application/json
application/json
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/debug_sessions/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101/traces"Successfully retrieved the paginated list of debug traces.
{
"total": 1,
"list": [
{
"trace_id": "string",
"service_name": "string",
"instance_id": "string",
"root_span_name": "string",
"http_method": "string",
"http_url": "string",
"http_status_code": 0,
"duration_ms": 0.1,
"start_time": 1742288230
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Not Found — The requested resource does not exist or has been deleted.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces
List traces of a debug session
IAM Action: GetDebugSession, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(path, string, required): Gateway group ID.debug_session_id(path, string, required): Debug session ID.
Responses
200: Successfully retrieved the paginated list of debug traces.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of debug traces.list[].trace_id(string, optional): Trace ID.list[].service_name(string, optional):list[].instance_id(string, optional):list[].root_span_name(string, optional):list[].http_method(string, optional):list[].http_url(string, optional):list[].http_status_code(integer, optional):list[].duration_ms(number, optional):list[].start_time(integer, optional): The object timestamp.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.404: Not Found — The requested resource does not exist or has been deleted. Response fields (application/json): identical toGET /api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces, response 400 above.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces'